  <div class="ion-page" id="main-content">
    <ion-header>
      <ion-toolbar>
        <ion-buttons slot="start">
          <ion-back-button defaultHref="home"></ion-back-button>
        </ion-buttons>
        <ion-title>Pret & Retour des objets</ion-title>
      </ion-toolbar>
    </ion-header>
    <br>
    <ion-content class="ion-padding">
      <h4>Prêt d'un objet</h4>
      <form  [formGroup]="onForm"  >
      <ion-item>
        <ion-label>Emprunteur</ion-label>
        <ion-select formControlName="idEmprunteur" required>
          <ion-select-option *ngFor="let emprunteur of listeEmprunteur" value="{{emprunteur?.id}}" >{{emprunteur.prenom}} {{emprunteur.nom}}</ion-select-option>
        </ion-select>
      </ion-item>
      <ion-item>
        <ion-label *ngIf="vidEmprunt == true">Objets disponibles</ion-label>
        <ion-label *ngIf="vidEmprunt == false">Aucun objet à prêter</ion-label>
        <ion-select formControlName="idProduit" required>
          <ion-select-option  *ngFor="let produit of listeProduitDispo" value="{{produit?.id}}" required>{{produit.titre}} {{produit.auteur}}</ion-select-option>
        </ion-select>
      </ion-item><br>
      <ion-button expand="block" type ="submit" (click)="emprunter()"  [disabled]="!onForm.valid" class="ion-no-margin"><ion-icon name="checkmark-outline"></ion-icon>&nbsp;Validation</ion-button>
    </form>
    <br><br><br>


    <h4 style="font-style: inherit;">Retour de prêt d'un objet</h4>
      <form [formGroup]="onFormRetour">
        <ion-item>
          <ion-label *ngIf="vidRetour == true">Objets en prêt</ion-label>
          <ion-label *ngIf="vidRetour == false">Aucun objet en prêt</ion-label>
          <ion-select formControlName="idProduit2" (ionChange)="selectObjet($event)" required>
            <ion-select-option  *ngFor="let produit of listeProduitNonDispo"  value="{{produit?.id}}"  >{{produit.titre}} {{produit.auteur}}</ion-select-option>
          </ion-select>
        </ion-item>
      <ion-item>
        <ion-label *ngIf="vidRetour == true">Emprunteur</ion-label>
        <ion-label *ngIf="vidRetour == false">Aucun Emprunteur</ion-label>
        <ion-select formControlName="idEmprunteur2" required>
          <ion-select-option  value="{{emprunteurActif?.id}}" >{{emprunteurActif?.prenom}} {{emprunteurActif?.nom}}</ion-select-option>
        </ion-select>
      </ion-item><br>
      
      
      <ion-button expand="block" type ="submit" (click)="retour()"  [disabled]="!onFormRetour.valid" class="ion-no-margin"><ion-icon name="checkmark-outline"></ion-icon>&nbsp;Validation</ion-button>
    </form>
    </ion-content>
    
  </div>
